[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# TUCA_PropItemContextTreeRec

Internal tree structure for sorted storage of unicode collation data

## Declaration

Source position: unicodedata.pas line 341

`type TUCA_PropItemContextTreeRec = packed record`
`public`
`Size: UInt24;` |  | Size of the tree data
`function GetData;` |  | Access to tree data (getter for Data property)
`property Data: PUCA_PropItemContextTreeNodeRec; [r]` |  | Read-only access to tree data
`function Find();` |  | Find data for encoded character
``
`end;`

## Description

This is an internal tree structure for storing unicode collation data which should not be used directly, the actual structure is subject to change.

## See also

TUCA_PropItemContextTreeNodeRec |  | Internal tree node structure for sorted storage of unicode collation data.